Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
toancdbgt

Hỏi cách DIM nhanh!

Các bài được khuyến nghị

toancdbgt    0

Hôm trước mình xem video thấy người hướng dẫn ghi kích thước nhanh lắm. Chỉ cần chọn đối tượng rồi kéo xuống là ok (bình thường mình phải chọn diểm đầu với điểm cuối), mình xem mãi mà vẫn chưa biết lệnh gì. Có pro nào biết thì chia sẻ cùng mọi người  :P 

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Tue_NV    3.841

Hôm trước mình xem video thấy người hướng dẫn ghi kích thước nhanh lắm. Chỉ cần chọn đối tượng rồi kéo xuống là ok (bình thường mình phải chọn diểm đầu với điểm cuối), mình xem mãi mà vẫn chưa biết lệnh gì. Có pro nào biết thì chia sẻ cùng mọi người  :P 

 

Command: DLI DIMLINEAR -> Gõ lệnh DLI

Specify first extension line origin or <select object>: -> Nhấn Enter

 

Select object to dimension: -> Pick chọn đoạn cần đo -> "rồi kéo xuống là ok"

Command: dli DIMLINEAR
Specify first extension line origin or <select object>:
 
Select object to dimension:
  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
namnhim    5

bạn dùng thử cái này xem có được không

(defun C:DIMARC ( / pt1 pt2 cen a1 a2 D1 D2 p r oldOs)
 (setq oldOs (getvar "OSMODE"))
 (prompt "Pick 2 points on an arc - ")
 (setvar "OSMODE" 512)
 (while (not cen)
  (setq   pt1 (getpoint "1st pt: ")
   cen (osnap pt1 "_CEN")
  )
  (if (not cen) (alert "Doesn't lie on an arc, retry")
      (setq pt2 (getpoint cen " 2nd pt: ")))
 );while

 (setvar "OSMODE" 0)
 (setq a1 (angle cen pt1) a2 (angle cen pt2) ad (abs (- a2 a1))
   r (distance pt1 cen)
   D1 (* r ad)
   D2 (* r (- (* 2 pi) ad))
 )
 (prompt (strcat "\nArc length: " (rtos D1) ",   complementar arc: " (rtos D2))) 

 (command "_DIMANGULAR" "" cen pt1 pt2 "_T" (rtos D1) pause)

 (setvar "OSMODE" oldOs)
 (prin1)
)

(princ "\nDIMARC command loaded.")
(princ)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

bạn nào biết mình dùng cad 2014 mà cứ load lisp vào mà kể cả vào contents load lại mà vẫn ko giữ được lisp mỗi khi  bật Autucad lên.bạn nào biết chỉ mình với,cám ơn :)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
namnhim    5

ý của bạn là không dùng đuọc như thế nào? 

gõ: DIMARC => chon điểm thứ nhất rồi điểm thứ 2 của đường cong của bạn là được.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

chào tất cả mọi người, công việc của em là thường phải dim bản vẽ với số lượng nhiều. do vậy e xin các pro viết cho em cái lisp để khi chọn đối tượng cùng lúc (line, polyline, arc, rectang,...)  nó tự dim cho mình với khoảng cách từ đối tượng ra đường dim là mình tự chọn. vậy mong các pro giúp đỡ cho em. em xin cảm ơn! 

  • Vote giảm 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×